ArgumentCreator (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.argument.ArgumentCreator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.argument
Class ArgumentCreator

    java.lang.Object
      com.meyling.principia.argument.ArgumentCreator

public final class ArgumentCreator
extends Object

This class provides static methods for reading and writing an `Argument`.

Version:
  $Revision: 1.9 $
Author:
  Michael Meyling

Constructor Summary
`ArgumentCreator()`

Method Summary
`static Argument` | `createArgument(Class kind, Argument[] argument)` Creates a new `Argument`.
`static Argument` | `readArgument(TextInput input, Map string2class, ParsingTable parsing)` Create an `Argument` out of an `TextInput` object.
`static String` | `writeArgument(Argument argument, Map class2string)` Write an `Argument` to an `String`.
`static void` | `writeArgument(Output output, Argument argument, Map class2string)` Write an `Argument` to an `Output` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgumentCreator

    public ArgumentCreator()

Method Detail

### createArgument

    public static final Argument createArgument(Class kind,
                                                Argument[] argument)
                                         throws IllegalArgumentException,
                                                ArgumentException

  Creates a new `Argument`. Could't create a new `Counter` or a `Text`.

  Parameters:
    `kind` - class to generate
    `argument` - argument for constructor of that class
  Returns:
    new generated Argument
  Throws:
    `ArgumentException` - if creation failed
    `IllegalArgumentException` - if creation failed because of a programming error

### readArgument

    public static final Argument readArgument(TextInput input,
                                              Map string2class,
                                              ParsingTable parsing)
                                       throws ParsingException

  Create an `Argument` out of an `TextInput` object.

  Parameters:
    `input` - source to read from
    `string2class` - use this mapping for parsing
    `parsing` - for saving positions of created arguments
  Returns:
    created argument
  Throws:
    `ParsingException` - if creation failed

### writeArgument

    public static final void writeArgument(Output output,
                                           Argument argument,
                                           Map class2string)
                                    throws IllegalArgumentException

  Write an `Argument` to an `Output` object.

  Parameters:
    `output` - destination to write to
    `argument` - this object will be written
    `class2string` - use this mapping for getting a string
  Throws:
    `IllegalArgumentException` - if writing failed

### writeArgument

    public static final String writeArgument(Argument argument,
                                             Map class2string)
                                      throws IllegalArgumentException

  Write an `Argument` to an `String`.

  Parameters:
    `argument` - this object will be written
    `class2string` - use this mapping for getting a string
  Returns:
    created string
  Throws:
    `IllegalArgumentException` - if writing failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.